<?php
/*
* @Overview 생산 오더 등록
* @History 2024-04-08 / 최승연 / 최초작성
*/

$cate_id="REG_ORDER";

include_once "{$_SERVER['DOCUMENT_ROOT']}/common.inc.php";
include_once _SVC_INC_PATH_ ."/auth_check.php";
include_once _HOME_INC_PATH_ ."/ajax_init.php";


if(!_notAuth("R")) {


  switch ($_REQUEST['mode']) {

    // 생산오더 리스트 조회
    case 'getOrderList':

      $sql = "USP_P_WO_S10";

      $_REQUEST['RS_CODE'] = "";
      $_REQUEST['RS_MSG']  = "";

      $params = array(
        "WO_NO"          => $_REQUEST['WO_NO'] ?: "",
        "ITEM_CD"        => $_REQUEST['ITEM_CD'] ?: "",
        "ITEM_NM"        => $_REQUEST['ITEM_NM'] ?: "",
        "BP_CD"          => $_REQUEST['BP_CD'] ?: "",
        "BP_NM"          => $_REQUEST['BP_NM'] ?: "",
        "ITEM_GRP"       => $_REQUEST['ITEM_GRP'] ?: "",
        "ORD_STATUS"     => $_REQUEST['WO_STATUS'] ?: "",
        "order_date_st"  => $_REQUEST['order_date_st'] ?: "",
        "order_date_ed"  => $_REQUEST['order_date_ed'] ?: "",
        "RS_CODE"      => array(&$_REQUEST['RS_CODE'], SQLSRV_PARAM_OUT),
        "RS_MSG"       => array(&$_REQUEST['RS_MSG'], SQLSRV_PARAM_OUT)
      );

      $rst = $baseObj->DB->exec($sql, $params);
      $rows = array();
      if ($rst && $_REQUEST['RS_CODE'] !== 'E') {
        $retval['code'] = true;
        while ($row = $baseObj->DB->fetch_array($rst)) {
          $rows[] = $row;
        };
        $retval['data'] = $rows;
      } else {
        $retval['code'] = false;
        $retval['mesg'] = $_REQUEST['RS_MSG'];
      }


      break;
    //SAP 리스트 조회
    case 'getSapList':

      $sql = "USP_ZZ_IF_SAPTOMES_WO_MAIN";

      $rst = $baseObj->DB->exec($sql);
      $rows = array();
      if ($rst) {
        $retval['code'] = true;
        while ($row = $baseObj->DB->fetch_array($rst)) {
          $rows[] = $row;
        };
//        print_r($rows);
        $retval['data'] = $rows;
//        $retval['msg'] = '정상 동작 되었습니다.';
      } else {
        $retval['code'] = false;
      }


      break;

    case "putOrder":

//      if( _notAuth("W") ) break; /************ 권한체크*/
      $_REQUEST['RS_CODE'] = "";
      $_REQUEST['RS_MSG']  = "";

      $date = date('Y-m-d');

      $_REQUEST['reqdata'] = json_decode($_REQUEST['reqdata']);
      $rst = true;
      $ok_cd = array();

      foreach( $_REQUEST['reqdata'] as $data ){
        $_REQUEST['RS_CODE'] = "";
        $_REQUEST['RS_MSG']  = "";

        $data = (array)$data;
//        $cdata = $data;
//        unset($cdata['_STATUS_']);
//        unset($cdata['USE_FLG']);
//        if( empty(array_filter($cdata)) ){
//          if( $data['_STATUS_'] == 'I' ) continue; //빈열제거
//          if( $data['_STATUS_'] == 'U' ) $data['_STATUS_'] = 'D'; //빈열제거
//        }
//
//
//        $cdata = $data;
////        unset($cdata['_STATUS_']);
////        unset($cdata['USE_FLG']);
//
//        if( empty(array_filter($cdata)) ){
//          if( $data['_STATUS_'] == 'I' ) continue; //빈열제거
//          if( $data['_STATUS_'] == 'U' ) $data['_STATUS_'] = 'D'; //빈열제거
//        }

        if(!$data['WO_NO']) { $retval['mesg'] = cUtil\Mlang::getText("생산오더가 누락된 행은 반영되지 않습니다."); $rst=false; break; }
//        else if(!$data['BIZ_AREA_NM']) { $retval['mesg'] = cUtil\Mlang::getText("사업장명이 누락된 행은 반영되지 않습니다."); $rst=false; break; }

//        $chksql = "USP_B_BIZ_AREA_S20"; //CD 중복검사용
//        $chkparams = Array( //CD 중복검사용
//          $data['BIZ_AREA_CD']
//        );

        if( $data['WO_NO'] && $data['_STATUS_'] == 'D' ){
          $sql = "USP_P_WO_D10";
          $params = Array(
            "WO_NO"  => $data['WO_NO'],
            "RS_CODE"      => array(&$_REQUEST['RS_CODE'], SQLSRV_PARAM_OUT),
            "RS_MSG"       => array(&$_REQUEST['RS_MSG'], SQLSRV_PARAM_OUT)
          );
        }else{
          //유효성 검사

          //공란 검사
//          if(!$data['BIZ_AREA_CD']) { $retval['msg'] = cUtil\Mlang::getText("사업장코드를 입력해주세요."); $rst=false; break; }
//          if(!$data['BIZ_AREA_NM']) { $retval['msg'] = cUtil\Mlang::getText("사업장명을 입력해주세요."); $rst=false; break; }
//          if(!$data['STD_CURRENCY_CD']) { $retval['msg'] = cUtil\Mlang::getText("기준화폐를 선택해주세요."); $rst=false; break; }
//          if(!$data['WORK_STD_TIME']) { $retval['msg'] = cUtil\Mlang::getText("기준시간을 입력해주세요."); $rst=false; break;}
//          if(!$data['BP_CD']) { $retval['msg'] = cUtil\Mlang::getText("거래처코드를 입력해주세요."); $rst=false; break;}

          //문자 길이 검사
//          if(strlen($data['BIZ_AREA_CD']) > 10){$retval['msg'] = cUtil\Mlang::getText("사업장코드 문자 길이를 확인해주세요."); $rst=false; break;}
//          if(strlen($data['BIZ_AREA_NM']) > 20){$retval['msg'] = cUtil\Mlang::getText("사업장명 문자 길이를 확인해주세요."); $rst=false; break;}
//          if(strlen($data['BP_CD']) > 20){$retval['msg'] = cUtil\Mlang::getText("거래처코드 문자 길이를 확인해주세요."); $rst=false; break;}

          if( $data['WO_NO'] && $data['_STATUS_'] == 'U' ) {
//            $chkparams[] = $data['BIZ_AREA_CD_OLD']; //CD 중복검사용

            $sql = "USP_P_WO_U10";
            $params = Array();
          }else{
            $sql = "USP_P_WO_I10";
            $params = Array();
          }

          $params = array_merge($params, Array(
            "WO_NO"         => $data['WO_NO']?:"",
            "ITEM_CD"       => $data['ITEM_CD'],
            "ORD_QTY"       => $data['ORD_QTY']?:0,
            "WRK_QTY"       => $data['WRK_QTY']?:0,
            "UNIT"          => $data['UNIT'],
//            "ORD_DT"        => $data['ORD_DT']?:date("Y-m-d", time()),
            "ORD_DT"        => $data['ORD_DT']?:$date,
            "ORD_TYPE"      => $data['ORD_TYPE']?:"",
            "ORD_STATUS"    => $data['ORD_STATUS']?:"",
            "DLVY_REQ_DT"   => $data['DLVY_REQ_DT']?:$date,
//            "DLVY_REQ_DT"   => $data['DLVY_REQ_DT']?:date("Y-m-d", time()),
            "BP_CD"         => $data['BP_CD']?:"",
            "INSP_SAMPL_QTY"=> $data['INSP_SAMPL_QTY'],
            "PLANT_CD"      => $data['PLANT_CD']?:"",
            "PROC_SEQ"      => $data['PROC_SEQ'],
            "REMARK"        => $data['REMARK']?:"",
            "MAKE_USER_ID"  => $GLOBALS['_Umem']['member_id'],
            "RS_CODE"       => array(&$_REQUEST['RS_CODE'], SQLSRV_PARAM_OUT),
            "RS_MSG"        => array(&$_REQUEST['RS_MSG'], SQLSRV_PARAM_OUT)
          ));
        }

        $rst =  $baseObj->DB->exec($sql, $params);
//        if( $rst2 ) $ok_cd[] = $data['BIZ_AREA_CD'];
//        $rst = $rst && $rst2;
      }

      $retval['data'] = $ok_cd;

      if($_REQUEST['RS_CODE'] == null){
        $retval['code'] = 1;
      }else{
        $retval['msg'] = $_REQUEST['RS_MSG'];
      }


      break;
    case "getProcessList":
      $sql = "USP_P_WO_OPER_S10";
      $params = array(
        "WO_NO"        => $_REQUEST['WO_NO'] ?: "",
      );

      $rst = $baseObj->DB->exec($sql, $params);
      $rows = array();
      if ($rst) {
        $retval['code'] = true;
        while ($row = $baseObj->DB->fetch_array($rst)) {
          $rows[] = $row;
        };
//        print_r($rows);
        $retval['data'] = $rows;
        $retval['msg'] = '정상 동작 되었습니다.';
      } else {
        $retval['code'] = false;
      }
      break;

    case "putProcess":
//      if( _notAuth("W") ) break; /************ 권한체크*/
      $_REQUEST['RS_CODE'] = "";
      $_REQUEST['RS_MSG']  = "";

      $_REQUEST['reqdata'] = json_decode($_REQUEST['reqdata']);
      $rst = true;
      $ok_cd = array();

      foreach( $_REQUEST['reqdata'] as $data ){
        $_REQUEST['RS_CODE'] = "";
        $_REQUEST['RS_MSG']  = "";

        $data = (array)$data;
//        $cdata = $data;
//        unset($cdata['_STATUS_']);
//        unset($cdata['USE_FLG']);
//        if( empty(array_filter($cdata)) ){
//          if( $data['_STATUS_'] == 'I' ) continue; //빈열제거
//          if( $data['_STATUS_'] == 'U' ) $data['_STATUS_'] = 'D'; //빈열제거
//        }
//
//
//        $cdata = $data;
////        unset($cdata['_STATUS_']);
////        unset($cdata['USE_FLG']);
//
//        if( empty(array_filter($cdata)) ){
//          if( $data['_STATUS_'] == 'I' ) continue; //빈열제거
//          if( $data['_STATUS_'] == 'U' ) $data['_STATUS_'] = 'D'; //빈열제거
//        }

//        if(!$data['WO_NO']) { $retval['mesg'] = cUtil\Mlang::getText("사업장코드가 누락된 행은 반영되지 않습니다."); $rst=false; break; }
//        else if(!$data['BIZ_AREA_NM']) { $retval['mesg'] = cUtil\Mlang::getText("사업장명이 누락된 행은 반영되지 않습니다."); $rst=false; break; }

//        $chksql = "USP_B_BIZ_AREA_S20"; //CD 중복검사용
//        $chkparams = Array( //CD 중복검사용
//          $data['BIZ_AREA_CD']
//        );

        if( $data['WO_NO'] && $data['_STATUS_'] == 'D' ){
          $sql = "USP_P_WO_OPER_D10";
          $params = Array(
            "WO_NO"   => $data['WO_NO'],
            "WO_SEQ"  => $data['WO_SEQ'],
            "RS_CODE"      => array(&$_REQUEST['RS_CODE'], SQLSRV_PARAM_OUT),
            "RS_MSG"       => array(&$_REQUEST['RS_MSG'], SQLSRV_PARAM_OUT)
          );
        }else{
          //유효성 검사

          //공란 검사
//          if(!$data['BIZ_AREA_CD']) { $retval['msg'] = cUtil\Mlang::getText("사업장코드를 입력해주세요."); $rst=false; break; }
//          if(!$data['BIZ_AREA_NM']) { $retval['msg'] = cUtil\Mlang::getText("사업장명을 입력해주세요."); $rst=false; break; }
//          if(!$data['STD_CURRENCY_CD']) { $retval['msg'] = cUtil\Mlang::getText("기준화폐를 선택해주세요."); $rst=false; break; }
//          if(!$data['WORK_STD_TIME']) { $retval['msg'] = cUtil\Mlang::getText("기준시간을 입력해주세요."); $rst=false; break;}
//          if(!$data['BP_CD']) { $retval['msg'] = cUtil\Mlang::getText("거래처코드를 입력해주세요."); $rst=false; break;}

          //문자 길이 검사
//          if(strlen($data['BIZ_AREA_CD']) > 10){$retval['msg'] = cUtil\Mlang::getText("사업장코드 문자 길이를 확인해주세요."); $rst=false; break;}
//          if(strlen($data['BIZ_AREA_NM']) > 20){$retval['msg'] = cUtil\Mlang::getText("사업장명 문자 길이를 확인해주세요."); $rst=false; break;}
//          if(strlen($data['BP_CD']) > 20){$retval['msg'] = cUtil\Mlang::getText("거래처코드 문자 길이를 확인해주세요."); $rst=false; break;}

          if( $data['WO_NO'] && $data['_STATUS_'] == 'U' ) {
//            $chkparams[] = $data['BIZ_AREA_CD_OLD']; //CD 중복검사용

            $sql = "USP_P_WO_OPER_U10";
            $params = Array();
          }else{
            $sql = "USP_P_WO_OPER_I10";
            $params = Array();
          }

          $params = array_merge($params, Array(
            "WO_NO"         => $data['WO_NO']           ?:"",
            "WO_SEQ"        => $data['WO_SEQ']          ?:"",
            "OP_SEQ"        => $data['OP_SEQ']          ?:"",
            "OP_CD"         => $data['OP_CD'],
            "ORD_QTY"       => $data['ORD_QTY']         ?:0,
//            "ORD_DT"        => $data['ORD_DT']?:date("Y-m-d", time()),
//            "ORD_DT"        => date("Y-m-d", time()),
            "WRK_QTY"       => $data['WRK_QTY']         ?:0,
            "STD_SETUP_TM" => $data['STD_SETUP_TM']     ?:0,
            "CYCLE_TM"     => $data['CYCLE_TM']         ?:0,
            "WO_OP_AMT"     => floatval(str_replace(",", "", $data['WO_OP_AMT'] )) ?:0,
            "ORD_STATUS"    => $data['PLANT_CD']        ?:"",
//            "DLVY_REQ_DT"   => date("Y-m-d", time()),
//            "DLVY_REQ_DT"   => $data['DLVY_REQ_DT']?:date("Y-m-d", time()),
            "PRV_OP_CD"     => $data['PRV_OP_CD']       ?:"",
            "NXT_OP_CD"     => $data['NXT_OP_CD']       ?:"",
            "FRST_OP_FLG"   => $data['FRST_OP_FLG']     ?:"",
            "LAST_OP_FLG"   => $data['LAST_OP_FLG']     ?:"",
            "MAKE_USER_ID"  => $GLOBALS['_Umem']['member_id'],
            "RS_CODE"       => array(&$_REQUEST['RS_CODE'], SQLSRV_PARAM_OUT),
            "RS_MSG"        => array(&$_REQUEST['RS_MSG'], SQLSRV_PARAM_OUT)
          ));
        }

        $rst =  $baseObj->DB->exec($sql, $params);
//        if( $rst2 ) $ok_cd[] = $data['BIZ_AREA_CD'];
//        $rst = $rst && $rst2;
      }

      $retval['data'] = $ok_cd;

      if($_REQUEST['RS_CODE'] !== NULL){
        $retval['code'] = 1;
        $retval['std'] = $_REQUEST['RS_CODE'];
      }else{
        $retval['code'] = "0";
      }
      break;

    case "getCheckList":
      $sql = "USP_P_WO_OPER_INSP_S10";
      $params = array(
        "WO_NO"        => $_REQUEST['WO_NO'] ?: "",
        "WO_SEQ"        => $_REQUEST['WO_SEQ'] ?: "",
      );

      $rst = $baseObj->DB->exec($sql, $params);
      $rows = array();
      if ($rst) {
        $retval['code'] = true;
        while ($row = $baseObj->DB->fetch_array($rst)) {
          $rows[] = $row;
        };
//        print_r($rows);
        $retval['data'] = $rows;
        $retval['msg'] = '정상 동작 되었습니다.';
      } else {
        $retval['code'] = false;
      }
      break;

    case "putCheck":
//      if( _notAuth("W") ) break; /************ 권한체크*/
      $_REQUEST['RS_CODE'] = "";
      $_REQUEST['RS_MSG']  = "";

      $_REQUEST['reqdata'] = json_decode($_REQUEST['reqdata']);
      $rst = true;
      $ok_cd = array();

      foreach( $_REQUEST['reqdata'] as $data ){
        $_REQUEST['RS_CODE'] = "";
        $_REQUEST['RS_MSG']  = "";

        $data = (array)$data;


        if( $data['WO_NO'] && $data['_STATUS_'] == 'D' ){
          $sql = "USP_P_WO_OPER_INSP_D10";
          $params = Array(
            "WO_SEQ"        => $data['WO_SEQ'],
            "WO_NO"         => $data['WO_NO'],
            "INSP_SEQ"      => $data['INSP_SEQ'],
          );
        }else{
          //유효성 검사

          //공란 검사
//          if(!$data['BIZ_AREA_CD']) { $retval['msg'] = cUtil\Mlang::getText("사업장코드를 입력해주세요."); $rst=false; break; }
//          if(!$data['BIZ_AREA_NM']) { $retval['msg'] = cUtil\Mlang::getText("사업장명을 입력해주세요."); $rst=false; break; }
//          if(!$data['STD_CURRENCY_CD']) { $retval['msg'] = cUtil\Mlang::getText("기준화폐를 선택해주세요."); $rst=false; break; }
//          if(!$data['WORK_STD_TIME']) { $retval['msg'] = cUtil\Mlang::getText("기준시간을 입력해주세요."); $rst=false; break;}
//          if(!$data['BP_CD']) { $retval['msg'] = cUtil\Mlang::getText("거래처코드를 입력해주세요."); $rst=false; break;}

          //문자 길이 검사
//          if(strlen($data['BIZ_AREA_CD']) > 10){$retval['msg'] = cUtil\Mlang::getText("사업장코드 문자 길이를 확인해주세요."); $rst=false; break;}
//          if(strlen($data['BIZ_AREA_NM']) > 20){$retval['msg'] = cUtil\Mlang::getText("사업장명 문자 길이를 확인해주세요."); $rst=false; break;}
//          if(strlen($data['BP_CD']) > 20){$retval['msg'] = cUtil\Mlang::getText("거래처코드 문자 길이를 확인해주세요."); $rst=false; break;}

          if( $data['WO_NO'] && $data['_STATUS_'] == 'U' ) {
//            $chkparams[] = $data['BIZ_AREA_CD_OLD']; //CD 중복검사용

            $sql = "USP_P_WO_OPER_INSP_U10";
            $params = Array();
          }else{
            $sql = "USP_P_WO_OPER_INSP_I10";
            $params = Array();
          }

          $params = array_merge($params, Array(
            "WO_NO"         => $data['WO_NO']?:"",
            "WO_SEQ"        => $data['WO_SEQ']?:"",
            "OP_SEQ"        => $data['OP_SEQ']?:"",
            "OP_CD"         => $data['OP_CD']?:"",
            "INSP_SEQ"      => $data['INSP_SEQ']?:"",
            "INSP_ITEM"     => $data['INSP_ITEM']?:"",
            "INSP_NAME"     => $data['INSP_NAME'],
            "INSP_TOOL"     => $data['INSP_TOOL'],
            "OKNG_FLG"      => $data['OKNG_FLG'],
//            "ORD_DT"        => $data['ORD_DT']?:date("Y-m-d", time()),
//            "ORD_DT"        => date("Y-m-d", time()),
            "INSP_METH"     => $data['INSP_METH']?:"",
            "TOL_UPPER"     => $data['TOL_UPPER']?:null,
//            "DLVY_REQ_DT"   => date("Y-m-d", time()),
//            "DLVY_REQ_DT"   => $data['DLVY_REQ_DT']?:date("Y-m-d", time()),
            "TOL_LOWER"     => $data['TOL_LOWER']?:null,
            "SPEC_UNIT"     => $data['SPEC_UNIT'],
            "SPEC_VAL"      => $data['SPEC_VAL']?:null,
            "REMARK"        => $data['REMARK']?:"",
            "MAKE_USER_ID"  => $GLOBALS['_Umem']['member_id'],
            "RS_CODE"       => array(&$_REQUEST['RS_CODE'], SQLSRV_PARAM_OUT),
            "RS_MSG"        => array(&$_REQUEST['RS_MSG'], SQLSRV_PARAM_OUT)
          ));
        }

        $rst =  $baseObj->DB->exec($sql, $params);
//        if( $rst2 ) $ok_cd[] = $data['BIZ_AREA_CD'];
//        $rst = $rst && $rst2;
      }

      $retval['data'] = $ok_cd;

      if($_REQUEST['RS_CODE'] == null){
        $retval['code'] = 1;
      }else{
        $retval['code'] = "0";
      }
      break;

    case "putCopyOrder":
//      if( _notAuth("W") ) break; /************ 권한체크*/
      $_REQUEST['RS_CODE'] = "";
      $_REQUEST['RS_MSG']  = "";

      // $_REQUEST['reqdata'] = json_decode($_REQUEST['reqdata']);
      $rst = true;
      $ok_cd = array();

      $_REQUEST['RS_CODE'] = "";
      $_REQUEST['RS_MSG']  = "";

      $sql = "USP_P_WO_I20";
      $params = Array(
        "WO_NO"         => $_REQUEST['WO_NO']?:"",
        "BASE_WO_NO"    => $_REQUEST['BASE_WO_NO']?:"",
        "ORD_QTY"       => $_REQUEST['ORD_QTY']?:0,
        "ORD_DT"        => $_REQUEST['ORD_DT']?:"",
        "DLVY_REQ_DT"   => $_REQUEST['DLVY_REQ_DT']?:"",
        "BP_CD"         => $_REQUEST['BP_CD']?:"",
        "PROC_SEQ"      => $_REQUEST['PROC_SEQ']?:"",
        "REMARK"        => $_REQUEST['REMARK']?:"",

        "MAKE_USER_ID"  => $GLOBALS['_Umem']['member_id'],
        "RS_CODE"       => array(&$_REQUEST['RS_CODE'], SQLSRV_PARAM_OUT),
        "RS_MSG"        => array(&$_REQUEST['RS_MSG'], SQLSRV_PARAM_OUT)
      );
      
      $rst =  $baseObj->DB->exec($sql, $params);

      $retval['data'] = $ok_cd;

      if($_REQUEST['RS_CODE'] == null){
        $retval['code'] = true;
      }else{
        $retval['code'] = false;
        $retval['mesg'] =$_REQUEST['RS_MSG'];
      }
      break;
    case "copyList":
      $_REQUEST['RS_CODE'] = "";
      $_REQUEST['RS_MSG'] ="";
      $_REQUEST['reqdata'] = json_decode($_REQUEST['reqdata']);
      foreach($_REQUEST['reqdata'] as $data){
        $data = (array)$data;
        $sql = "USP_P_WO_P10";
        $_REQUEST['RS_CODE'] = "";
        $_REQUEST['RS_MSG'] ="";

        $params = Array(
          "WO_NO"         => $data['WO_NO']?:"",
          "MAKE_USER_ID"  => $GLOBALS['_Umem']['member_id'],
          "RS_CODE"       => array(&$_REQUEST['RS_CODE'], SQLSRV_PARAM_OUT),
          "RS_MSG"        => array(&$_REQUEST['RS_MSG'], SQLSRV_PARAM_OUT)
        );


        $rst =  $baseObj->DB->exec($sql, $params);

        if($rst){
          $retval['code'] = 1;
        }else{
          $retval['code'] = 0;
        }
      }
      break;
    case "chWoStatus":
      $sql = "USP_P_WO_U20";
    
      $_REQUEST['RS_CODE'] = "";
      $_REQUEST['RS_MSG'] ="";
      $_REQUEST['reqdata'] = json_decode($_REQUEST['reqdata']);

      $rst = true;
      $ok_cd = array();

      foreach( $_REQUEST['reqdata'] as $data ) {
        $_REQUEST['RS_CODE'] = "";
        $_REQUEST['RS_MSG'] ="";

        $data = (array)$data;
        $params = array(
          "WO_NO"        => $data['WO_NO'] ?: "",
          "WO_STATUS"    => "020",
          "MAKE_USER_ID" => $GLOBALS['_Umem']['member_id'],
          "RS_CODE"      => array(&$_REQUEST['RS_CODE'], SQLSRV_PARAM_OUT),
          "RS_MSG"       => array(&$_REQUEST['RS_MSG'], SQLSRV_PARAM_OUT)
        );
        $rst = $baseObj->DB->exec($sql, $params);

        if($rst){
          $retval['code'] = 1;
        }else{
          $retval['code'] = 0;
        }

      }
      break;
    case "uploadData":
      $sql = "USP_P_WO_I30";

      $_REQUEST['RS_CODE'] = "";
      $_REQUEST['RS_MSG'] ="";
      $_REQUEST['reqdata'] = json_decode($_REQUEST['reqdata']);
      $date = date('Y-m-d');
      $rst = true;
      $ok_cd = array();
      $rows = array();
      foreach( $_REQUEST['reqdata'] as $data ) {
        $_REQUEST['RS_CODE'] = "";
        $_REQUEST['RS_MSG'] ="";


        $data = (array)$data;
        $params = array(
          "WO_NO"         => $data['WO_NO']?:"",
          "PROC_SEQ"      => $data['PROC_SEQ'],
          "ITEM_CD"       => $data['ITEM_CD'],
          "BP_CD"         => $data['BP_CD']?:"",
          "ORD_DT"        => $data['ORD_DT']?:$date,
          "DLVY_REQ_DT"   => $data['DLVY_REQ_DT']? :$date,
          "ORD_QTY"       => $data['ORD_QTY']?:0,
          "INSP_SAMPL_QTY"=> $data['INSP_SAMPL_QTY'],
          "PLANT_CD"      => $data['PLANT_CD']?:"",
          "REMARK"        => $data['REMARK']?:"",
          "MAKE_USER_ID"  => $GLOBALS['_Umem']['member_id'],
          "RS_CODE"       => array(&$_REQUEST['RS_CODE'], SQLSRV_PARAM_OUT),
          "RS_MSG"        => array(&$_REQUEST['RS_MSG'], SQLSRV_PARAM_OUT)
        );
//        print_r($params);
        $rst = $baseObj->DB->exec($sql, $params);

        if($rst){
          $retval['code'] = 1;
          while ($row = $baseObj->DB->fetch_array($rst)) {
            $rows[] = $row;
          };
        }else{
          $retval['code'] = 0;
        }

      }
      $retval['data'] = $rows;
      break;
    }
}

if (!$_REQUEST['no_echo']) {
  echo json_encode($retval);
}